Package wx :: Package lib :: Module mvctree :: Class MVCTreeNode

[frames | no frames]

## Class MVCTreeNode

Used internally by MVCTree to manage its data. Contains information about screen placement, the actual data associated with it, and more. These are the nodes passed to all the other helper parts to do their work with.

Method Summary
| `__init__(self, data, parent, kids, x, y)`
| `__repr__(self)`
| `__str__(self)`
| `Add(self, node)`
| `GetChildren(self)`
| `GetParent(self)`
| `GetTreeString(self, tabs)`
| `Remove(self, node)`
| `SetParent(self, parent)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:01 2007 | http://epydoc.sf.net